package com.saye.hospitalgd.scheduler.job;

import com.saye.hospitalgd.commons.string.StringDUtil;
import com.saye.hospitalgd.scheduler.jobMethod.ReconciliationMethod;
import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * @author thuang
 * @version 1.0
 * @description: 对账
 * @date 2021/9/29 16:39
 */
public class ReconciliationJob implements Job {


    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        JobDataMap jobDataMap = jobExecutionContext.getJobDetail().getJobDataMap();
        String id = StringDUtil.changeNullToEmpty(jobDataMap.get("id"));
        String name = StringDUtil.changeNullToEmpty(jobDataMap.get("name"));
        String trade_date="";
        System.out.println("/****************************定时任务["+name+"]开始执行*********************************/");

        new ReconciliationMethod().getDate(id,name,trade_date,"");

        System.out.println("/****************************定时任务["+name+"]执行结束*********************************/");
    }
}
